---
{%- for instance in kubeinstaller.sys.rabbitmq.instances %}

instance-{{ loop.index0 }}-server:
  name: "rabbitmq-{{ instance.name }}-server"
  nodespace: "{{ instance.nodespace }}"
  image:
    registry: "{{ kubeinstaller.sys.rabbitmq.profiles | selectattr('name', '==', instance.profile) | map(attribute='registry') | first }}"
    tag: "{{ kubeinstaller.sys.rabbitmq.profiles | selectattr('name', '==', instance.profile) | map(attribute='tag') | first }}"
  domain: "{{ instance.domain }}"
  ca:
    issuerName: "{{ instance.ca.issuerName }}"
  network:
    poolName: "{{ instance.network.poolName }}"
  plugins: "{{ kubeinstaller.sys.rabbitmq.profiles | selectattr('name', '==', instance.profile) | map(attribute='plugins') | first }}"
  advancedConfig: {{ kubeinstaller.sys.rabbitmq.profiles | selectattr('name', '==', instance.profile) | map(attribute='advancedConfig') | first | to_json }}
  conf:
    profile: {{ kubeinstaller.sys.rabbitmq.profiles | selectattr('name', '==', instance.profile) | map(attribute='rabbitmqConf') | first | to_json }}
instance-{{ loop.index0 }}-server-console:
  name: "rabbitmq-{{ instance.name }}-server-console"
  domain: "{{ instance.domain }}"
  ca:
    issuerName: "{{ instance.ca.issuerName }}"
  ingress:
    className: "{{ instance.ingress.className }}"
  server:
    instance: "rabbitmq-{{ instance.name }}-server"
{%- endfor %}
